﻿@page
@model Orgatron.Pages.Evenements.InvitationModel
@{
	ViewData["Title"] = "Invitation";
	Layout = "~/Pages/Shared/_Layout.cshtml";
}

<h1>@ViewData["Title"]</h1>
<h4>Inviter un joueur</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Input.Name"></label>
                <input asp-for="Input.Name" class="form-control" />
                <span asp-validation-for="Input.Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Input.Email"></label>
                <input asp-for="Input.Email" class="form-control" />
                <span asp-validation-for="Input.Email" class="text-danger"></span>
            </div>
            <button type="submit" class="btn btn-primary">Inviter</button>
        </form>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        Nom d'utilisateur
                    </th>
                    <th>
                        Email
                    </th>
                    <th>
                        Supprimer
                    </th>
                    <th>
                        Pause
                    </th>
                    <th>
                        Moderateur
                    </th>
                    <th>
                        Reinit. Compte
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Evenement.EvenementsUtilisateurs)
                {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.User.UserName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.User.Email)
                    </td>
                    <td>
                        @if (!item.User.EmailConfirmed)
                        {
                            <form asp-page-handler="sendmail" method="post" asp-route-id="@Model.Evenement.Id" asp-route-email="@item.User.Email">
                                <button class="btn btn-default">Renvoyer le mail</button>
                            </form>
                        }
                        <a asp-page="./DeleteInvitation" asp-route-id="@Model.Evenement.Id" asp-route-email="@item.User.Email">Supprimer</a>
                    </td>
                    <td>
                        @if (!item.EstEnPause)
                        {
                            <a asp-page="/Evenements/Pause" asp-route-IdEvenement="@Model.Evenement.Id" asp-route-playerName="@item.User.UserName" asp-route-value="true">Mettre en pause</a>
                        }
                        else
                        {
                            <a asp-page="/Evenements/Pause" asp-route-IdEvenement="@Model.Evenement.Id" asp-route-playerName="@item.User.UserName" asp-route-value="false">Remettre en jeu</a>
                        }
                    </td>
                    <td>
                        @if (!item.EstModerateur)
                        {
                            <a asp-page="/Evenements/Moderateur" asp-route-IdEvenement="@Model.Evenement.Id" asp-route-playerName="@item.User.UserName" asp-route-value="true">Passer Moderateur</a>
                        }
                        else
                        {
                            <a asp-page="/Evenements/Moderateur" asp-route-IdEvenement="@Model.Evenement.Id" asp-route-playerName="@item.User.UserName" asp-route-value="false">Remettre simple mortel</a>
                        }
                    </td>
                    <td>
                        <a asp-page="/Evenements/ReinitialiserCompte" asp-route-IdEvenement="@Model.Evenement.Id" asp-route-playerName="@item.User.UserName">supprimer MDP</a>
                    </td>
                </tr>
                }
            </tbody>
        </table>
    </div>
</div>

@section Scripts {
	<partial name="_ValidationScriptsPartial" />
}

